PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.metricviewer.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.metricviewer
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.metricviewer.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `DECSENDING`
`protected static java.lang.String` | `METRIC`
`protected static java.lang.String` | `NUM_TO_SHOW`
`protected static java.lang.String` | `RES_TYPE`
`protected static java.lang.String` | `RESOURCES`
`protected static java.lang.String` | `TITLE`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.String` | `getAppdefType()`
`java.lang.String` | `getAppdefTypeID()`
`java.lang.String` | `getDescending()`
`java.lang.String[]` | `getIds()`
`java.lang.String` | `getMetric()`
`java.lang.Integer` | `getNumberToShow()`
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getTitle()`
`void` | `setDescending(java.lang.String descending)`
`void` | `setIds(java.lang.String[] ids)`
`void` | `setMetric(java.lang.String metric)`
`void` | `setNumberToShow(java.lang.Integer numberToShow)`
`void` | `setResourceType(java.lang.String resType)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, reset, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, toString, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final java.lang.String RESOURCES

See Also:
  Constant Field Values

### NUM_TO_SHOW

    protected static final java.lang.String NUM_TO_SHOW

See Also:
  Constant Field Values

### RES_TYPE

    protected static final java.lang.String RES_TYPE

See Also:
  Constant Field Values

### METRIC

    protected static final java.lang.String METRIC

See Also:
  Constant Field Values

### DECSENDING

    protected static final java.lang.String DECSENDING

See Also:
  Constant Field Values

### TITLE

    protected static final java.lang.String TITLE

See Also:
  Constant Field Values

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### getIds

    public java.lang.String[] getIds()

### setIds

    public void setIds(java.lang.String[] ids)

### getNumberToShow

    public java.lang.Integer getNumberToShow()

### setNumberToShow

    public void setNumberToShow(java.lang.Integer numberToShow)

### getResourceType

    public java.lang.String getResourceType()

### setResourceType

    public void setResourceType(java.lang.String resType)

### getAppdefType

    public java.lang.String getAppdefType()

### getAppdefTypeID

    public java.lang.String getAppdefTypeID()

### getMetric

    public java.lang.String getMetric()

### setMetric

    public void setMetric(java.lang.String metric)

### getDescending

    public java.lang.String getDescending()

### setDescending

    public void setDescending(java.lang.String descending)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.